summaryrefslogtreecommitdiffstats
path: root/tests/data_plane/vpp_lite_topo/test_driver/basic.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/data_plane/vpp_lite_topo/test_driver/basic.sh')
-rw-r--r--tests/data_plane/vpp_lite_topo/test_driver/basic.sh46
1 files changed, 46 insertions, 0 deletions
diff --git a/tests/data_plane/vpp_lite_topo/test_driver/basic.sh b/tests/data_plane/vpp_lite_topo/test_driver/basic.sh
index 88753bf..309ff64 100644
--- a/tests/data_plane/vpp_lite_topo/test_driver/basic.sh
+++ b/tests/data_plane/vpp_lite_topo/test_driver/basic.sh
@@ -46,3 +46,49 @@ function test_basic
print_status $rc "No ICMP response!"
exit $test_result
}
+
+function test_basic_map_register
+{
+ 2_node_topo_setup no_odl
+ post_curl "add-key" ${ODL_CONFIG_FILE1}
+ post_curl "add-key" ${ODL_CONFIG_FILE2}
+
+ maybe_pause
+
+ test_result=1
+
+ wait_for_map_register=10
+ echo "Waiting for map registration $wait_for_map_register seconds .."
+ sleep $wait_for_map_register
+
+ ip netns exec vppns1 "${1}" -w 15 -c 1 "${2}"
+ rc=$?
+
+ maybe_pause
+
+ # test done
+ 2_node_topo_clean
+ print_status $rc "No ICMP response!"
+ exit $test_result
+}
+
+function test_rloc_probe
+{
+ 2_node_topo_setup
+
+ maybe_pause
+ test_result=1
+
+ ip netns exec vppns1 "${1}" -w 15 -c 1 "${2}"
+ rc=$?
+ assert_rc_ok $rc 2_node_topo_clean "No ICMP response!"
+
+ read -p "Please check RLOC probe messages manually .." -n1
+
+ # test done
+
+ maybe_pause
+ 2_node_topo_clean
+ print_status $rc "No ICMP response!"
+ exit $test_result
+}